Users of Older Email Clients and Web Browsers May Need to Update

If you are using an older email client or web browser you may have to update it before this Thursday, Oct. 15. Microsoft is no longer supporting older web browsers or email clients because of security vulnerabilities.

Making this change may sound technical, but it may not affect you if you are using updated software. If it does affect you, do not hesitate to get help making an update.

We know that the following clients will be affected:

  • Android 4.3 and earlier versions
  • Firefox version 5.0 and earlier versions
  • Internet Explorer 8-10 on Windows 7 and earlier versions
  • Internet Explorer 10 on Windows Phone 8
  • Safari 6.0.4/OS X10.8.4 and earlier versions

If you are using any of the client applications listed above or other older software (even if it is not on the list above) to access your email you may have problems accessing your email, and will need to do an update.

If you need help or have questions, contact your local IT support or the IT Service Desk for technical assistance. The IT Service Desk offers 24-hour support, seven days a week, via email and phone.

Phone: 614-688-4357
Emailservicedesk@osu.edu
Self-Service and Chat support: ocio.osu.edu/help(link is external)
Text Telephone for the Deaf: 614-688-8743

Posted in: